# ドキュメント検索 (/ja/api-reference/endpoint/docs-search)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1305 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)

`/support/docs-search` エンドポイントは、Firecrawl の公開ドキュメントに基づいて質問に回答します。Firecrawl APIキーが必要です。関連するドキュメントページへの引用付きで、簡潔な回答を返します。

<div id="use-cases">
  ## ユースケース [#ユースケース]
</div>

* **AIエージェント**：Firecrawl APIの使い方、パラメータ、ベストプラクティスを調べる必要がある場合
* **サポートボット**：ドキュメントをもとに顧客からの質問に回答する場合
* **開発ツール**：関連ドキュメントをインラインで表示する場合

<div id="example">
  ## 例 [#例]
</div>

```bash
curl -X POST https://api.firecrawl.dev/v2/support/docs-search \
  -H "Authorization: Bearer fc-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "question": "what header carries the webhook signature, and how do I verify it?"
  }'
```

<div id="response">
  ### レスポンス [#レスポンス]
</div>

```json
{
  "requestId": "req_...",
  "answer": "The signature is sent in the X-Firecrawl-Signature header...",
  "evidence": [
    {
      "pathOrUrl": "webhooks/security.mdx#L1-L52",
      "reason": "Documents webhook signature verification"
    }
  ],
  "usage": { "inputTokens": 4356, "outputTokens": 688, "totalTokens": 5044 },
  "durationMs": 11252
}
```

<div id="response-fields">
  ## レスポンスフィールド [#レスポンスフィールド]
</div>

| フィールド        | 型       | 説明                                                   |
| ------------ | ------- | ---------------------------------------------------- |
| `answer`     | string  | Firecrawl のドキュメントに基づく簡潔な回答                           |
| `evidence`   | array   | 参照したドキュメントページ。`pathOrUrl` と `reason` を含みます           |
| `usage`      | object  | トークン使用量 (`inputTokens`、`outputTokens`、`totalTokens`) |
| `durationMs` | integer | 合計実行時間 (ミリ秒)                                         |

機能の詳細なガイドについては、[Ask 機能のドキュメント](/ja/features/ask)を参照してください。

> Firecrawl APIキーが必要な AI エージェントですか？ 自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md)を参照してください。

`POST /support/docs-search`

公開ドキュメントコーパスを使って、Firecrawlのドキュメントに関する質問に回答します。

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "question": {
              "description": "回答対象のドキュメントに関する質問。",
              "type": "string"
            }
          },
          "required": [
            "question"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "answer": {
                "description": "Firecrawl のドキュメントに基づく簡潔な回答。",
                "type": "string"
              },
              "durationMs": {
                "description": "docs-search の合計実行時間（ミリ秒）。",
                "type": "integer"
              },
              "evidence": {
                "items": {
                  "properties": {
                    "pathOrUrl": {
                      "type": "string"
                    },
                    "reason": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                },
                "type": "array"
              },
              "requestId": {
                "type": "string"
              },
              "usage": {
                "properties": {
                  "inputTokens": {
                    "type": "integer"
                  },
                  "outputTokens": {
                    "type": "integer"
                  },
                  "totalTokens": {
                    "type": "integer"
                  }
                },
                "type": "object"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "ドキュメントに基づく回答"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "description": "サポート用プロキシまたは上流のエラーコード。",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "無効なリクエスト"
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "description": "サポート用プロキシまたは上流のエラーコード。",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Bearerトークンがないか、無効です"
    },
    "503": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "description": "サポート用プロキシまたは上流のエラーコード。",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "サポートエージェントは利用できません"
    },
    "504": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "description": "サポート用プロキシまたは上流のエラーコード。",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "サポートエージェントがタイムアウトしました"
    }
  }
}
```
